Bug 1337223 - [RFE] API for setting host's installed packages
Summary: [RFE] API for setting host's installed packages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 14:20 UTC by Tom McKay
Modified: 2018-07-17 20:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-17 20:41:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15079 0 None None None 2016-05-18 14:20:42 UTC

Description Tom McKay 2016-05-18 14:20:41 UTC
There is currently no API support for setting the installed packages on a host. The only way is through the /rhsm API which is not meant for usage by scripts/hammer.

Comment 1 Tom McKay 2016-05-18 14:20:44 UTC
Created from redmine issue http://projects.theforeman.org/issues/15079

Comment 2 Bryan Kearney 2016-07-08 20:41:50 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 4 Bryan Kearney 2016-08-10 19:17:24 UTC
Upstream bug component is Hosts - Content

Comment 5 Bryan Kearney 2016-08-10 20:18:27 UTC
Upstream bug component is Hosts

Comment 6 Bryan Kearney 2016-08-10 22:18:02 UTC
Upstream bug component is Hosts - Content

Comment 7 Bryan Kearney 2018-07-17 20:41:57 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.